/*
 *	Author: gregory.pickett@hellfiresecurity.com
 *	Description: Network-Wide Fingerprint Prevention
 *	Version: 0.60
 *	GPLv3 License applies to this code.
 *
 * */

#include <linux/types.h>

#define IP_MF               0x2000
#define IP_OFFSET           2

/* TCP Options */
#define TCPOPT_EOL          0
#define TCPOPT_NOP          1
#define TCPOPT_MSS          2
#define TCPOLEN_MSS         4
#define TCPOPT_WINDOW       3
#define TCPOLEN_WINDOW      3
#define TCPOPT_SACK_PERM    4
#define TCPOLEN_SACK_PERM   2
#define TCPOPT_MD5SIG       19
#define TCPOLEN_MD5SIG      18

/* IPv6 Next Header */
#define NEXTHDR_HOP			0
#define NEXTHDR_TCP			6
#define NEXTHDR_UDP			17
#define NEXTHDR_IPV6		41
#define NEXTHDR_ROUTING		43
#define NEXTHDR_FRAGMENT	44
#define NEXTHDR_GRE			47
#define NEXTHDR_ESP			50
#define NEXTHDR_AUTH		51
#define NEXTHDR_ICMP		58
#define NEXTHDR_NONE		59
#define NEXTHDR_DEST		60
#define NEXTHDR_SCTP		132
#define NEXTHDR_MOBILITY	135
#define NEXTHDR_MAX			25

struct tcpopt {

	unsigned char kind;
	unsigned char length;

};
